# Update Group Customer Information

Update an existing customer corporate/business account profile information by providing the unique `id` of the account you want to update to request body.

<mark style="color:orange;">`PUT`</mark> `/api/Account/v1/UpdateGroupCustomerInformation`

The `id` of the customer is the GUID returned when creating a customer or when running the [Search Account](/udara360-docs-1/account/editor/search-account.md) API request. This `id` is different from the 8-digit Customer ID.

**Headers**

| Name                                            | Value                |
| ----------------------------------------------- | -------------------- |
| Content-Type<mark style="color:red;">\*</mark>  | `application/json`   |
| Authorization<mark style="color:red;">\*</mark> | `Bearer <token>`     |
| Request-Reference                               | `{unique-reference}` |

**Body**

<table><thead><tr><th width="168">Name</th><th width="172">Data Type (length)</th><th width="98" data-type="checkbox">Required</th><th>Description</th></tr></thead><tbody><tr><td><code>id</code></td><td>string</td><td>true</td><td>Unique identifier for the group or business account (GUID format)</td></tr><tr><td><code>name</code></td><td>string</td><td>false</td><td>Name of the business</td></tr><tr><td><code>address</code></td><td>string <a data-footnote-ref href="#user-content-fn-1"><em>(300)</em></a></td><td>false</td><td>Business residential address</td></tr><tr><td><code>businessPhoneNumber</code></td><td>string <a data-footnote-ref href="#user-content-fn-1"><em>(50)</em></a></td><td>false</td><td>Business phone number</td></tr><tr><td><code>contactPersonName</code></td><td>string<a data-footnote-ref href="#user-content-fn-1"><em>(50)</em></a></td><td>false</td><td>Name of the contact person</td></tr><tr><td><code>contactPersonPhoneNumber</code></td><td>string <a data-footnote-ref href="#user-content-fn-1"><em>(50)</em></a></td><td>false</td><td>Phone number of the contact person</td></tr><tr><td><code>countryOfOperation</code></td><td>string <a data-footnote-ref href="#user-content-fn-1"><em>(100)</em></a></td><td>false</td><td>Country where the business operates</td></tr><tr><td><code>description</code></td><td>string </td><td>false</td><td>Brief description of the business</td></tr><tr><td><code>industrialSector</code></td><td>integer</td><td>false</td><td><p>Code representing the industrial sector<br><br>The enumerations are: </p><p>40100 = Agriculture, Forestry, and Fishing </p><p>40200 = Mining and Quarrying 40300 = Manufacturing </p><p>40500 = Real Estate Activities 40700 = General Commerce 40800 = Transportation and Storage </p><p>40900 = Finance and Insurance 41000 = General </p><p>41200 = Governments </p><p>41300 = Water Supply, Sewage, Waste Management, and Remediation Activities </p><p>41400 = Construction </p><p>41500 = Information and Communication </p><p>41600 = Professional, Scientific, and Technical Activities </p><p>41700 = Administrative and Support Service Activities </p><p>41800 = Education </p><p>41900 = Human Health and Social Work Activities </p><p>42000 = Arts, Entertainment, and Recreation</p><p>42100 = Activities of Extra-Territorial Organizations and Bodies </p><p>42200 = Power and Energy 42300 = Capital Market </p><p>42400 = Oil and Gas</p></td></tr><tr><td><code>lga</code></td><td>string</td><td>false</td><td>Local Government Area (LGA)</td></tr><tr><td><code>natureOfBusiness</code></td><td>string</td><td>false</td><td>Nature of the business (e.g., Manufacturing)</td></tr><tr><td><code>stateOfOperation</code></td><td>string</td><td>false</td><td>State where the business operates</td></tr><tr><td><code>customerType</code></td><td>integer</td><td>false</td><td>Type of customer (e.g., 5 for corporate)<br><br>The enumerations are:<br><code>1</code> = Individual,<br><code>2</code> = Group,<br><code>3</code> = Corporate,<br><code>4</code> = GroupJoint,<br><code>5</code> = GroupSME</td></tr><tr><td><code>registrationDate</code></td><td>string</td><td>false</td><td>Date of business registration (e.g., 2023-02-27)</td></tr><tr><td><code>incorporationDate</code></td><td>string</td><td>false</td><td>Date of business incorporation (e.g., 2023-02-27)</td></tr><tr><td><code>registrationNumber</code></td><td>string</td><td>false</td><td>Business registration number</td></tr><tr><td><code>email</code></td><td>string</td><td>false</td><td>Business email address</td></tr><tr><td><code>tin</code></td><td>string</td><td>false</td><td>Tax Identification Number (TIN)</td></tr><tr><td><code>groupMembers.customerID</code></td><td>string (8)</td><td>false</td><td>Customer ID of a group member</td></tr><tr><td><code>groupMembers.isSignatory</code></td><td>boolean</td><td>false</td><td>Set <code>true</code> if the group member is a signatory and <code>false</code> if it's not</td></tr></tbody></table>

Here is an example request and response with a sample payload sent to the endpoint in Curl format.

<details>

<summary>Sample Request</summary>

```json
curl --location -g --request PUT '{{baseurl}}/api/Account/v1/UpdateGroupCustomerInformation' \
--header 'Content-Type: application/json' \
--header 'Authorization: bearer ' \
--header 'request-reference;' \
--data-raw '{
    "id": "f86185c1-d2ce-4d50-89bf-1b27b7b76bbc",
    "customerType": 2,
    "name": "Bell Cuisine",
    "description": "Restaurant and bar",
    "address": "6, Olatunji Street, Ota",
    "businessPhoneNumber": "09062452677",
    "natureOfBusiness": "Food",
    "industrialSector": 40100,
    "registrationDate": "2023-02-28T23:46:30.262Z",
    "incorporationDate": "2023-02-28T23:46:30.262Z",
    "registrationNumber": "294892384393",
    "email": "bleeacuisine@gmail.com",
    "contactPersonName": "09036738632",
    "contactPersonPhoneNumber": "08173986209",
    "countryOfOperation": "Nigeria",
    "stateOfOperation": "Ogun",
    "lga": "Ota LGA",
    "tin": "0985674395",
    "pep": true,
    "groupMembers": [
        {
            "customerID": "00002121",
            "isSignatory": true
        },
        {
            "customerID": "00002126",
            "isSignatory": true
        }
    ]
}'
```

</details>

**Response**

{% tabs %}
{% tab title="200" %}

```json
{
  "status": true,
  "message": "string",
  "data": {
    "id": "3fa85f64-5717-4562-b3fc-2c963f66afa6",
    "accountNumber": "string",
    "customerID": "string",
    "customerInformationId": "3fa85f64-5717-4562-b3fc-2c963f66afa6",
    "documentIdentifier": "string"
  }
}
```

{% endtab %}
{% endtabs %}

[^1]: This is the maximum number of characters allowed.


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.udara360.io/udara360-docs-1/customer/customer-api/update-group-customer-information.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
